=== debian/control ===
Source: recoil
Maintainer: Piotr Fusik <fox@scene.pl>
Section: graphics
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 7), gcc, libpng-dev, xsltproc

Package: recoil-2png
Architecture: any
Depends: ${shlibs:Depends}
Description: Provides "recoil2png" command-line converter
 of pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore 16/64/128, Macintosh 128K, MSX, NEC PC-88/PC-98,
 Oric, Psion Series 3, SAM Coupe, Sharp X68000, Timex 2048, TRS-80,
 TRS-80 Color Computer, ZX81 and ZX Spectrum computers.

Package: recoil-thumbnailer
Architecture: all
Depends: recoil-2png
Description: GNOME thumbnailer for pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore 16/64/128, Macintosh 128K, MSX, NEC PC-88/PC-98,
 Oric, Psion Series 3, SAM Coupe, Sharp X68000, Timex 2048, TRS-80,
 TRS-80 Color Computer, ZX81 and ZX Spectrum computers.

Package: recoil-xnview
Architecture: any
Depends: ${shlibs:Depends}
Description: Plugin for XnView MP to decode pictures in native formats of
 Amiga, Amstrad CPC, Apple II, Atari 8-bit/Portfolio/ST/TT/Falcon,
 BBC Micro, Commodore 16/64/128, Macintosh 128K, MSX, NEC PC-88/PC-98,
 Oric, Psion Series 3, SAM Coupe, Sharp X68000, Timex 2048, TRS-80,
 TRS-80 Color Computer, ZX81 and ZX Spectrum computers.
